Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::LanguageModelDawgInfo Struct Reference

`#include <language_model.h>`

List of all members.

## Public Member Functions

| LanguageModelDawgInfo (DawgInfoVector *a, DawgInfoVector *c, PermuterType pt)
| ~LanguageModelDawgInfo ()

## Public Attributes

DawgInfoVector * | active_dawgs
DawgInfoVector * | constraints
PermuterType | permuter

## Detailed Description

Definition at line 100 of file language_model.h.

## Constructor & Destructor Documentation

tesseract::LanguageModelDawgInfo::LanguageModelDawgInfo | ( | DawgInfoVector * | a,
|  | DawgInfoVector * | c,
|  | PermuterType | pt
| ) |  |

inline

Definition at line 101 of file language_model.h.

: permuter(pt) {
active_dawgs = new DawgInfoVector(*a);
constraints = new DawgInfoVector(*c);
}

tesseract::LanguageModelDawgInfo::~LanguageModelDawgInfo | ( |  | ) |

inline

Definition at line 106 of file language_model.h.

{
delete active_dawgs;
delete constraints;
}

## Member Data Documentation

DawgInfoVector* tesseract::LanguageModelDawgInfo::active_dawgs

Definition at line 110 of file language_model.h.

DawgInfoVector* tesseract::LanguageModelDawgInfo::constraints

Definition at line 111 of file language_model.h.

PermuterType tesseract::LanguageModelDawgInfo::permuter

Definition at line 112 of file language_model.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/wordrec/language_model.h